[arch-commits] Commit in zeitgeist/repos (staging-x86_64 staging-x86_64/PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Nov 9 21:29:23 UTC 2018


    Date: Friday, November 9, 2018 @ 21:29:23
  Author: felixonmars
Revision: 338579

archrelease: copy trunk to staging-x86_64

Added:
  zeitgeist/repos/staging-x86_64/
  zeitgeist/repos/staging-x86_64/PKGBUILD
    (from rev 338577, zeitgeist/trunk/PKGBUILD)

----------+
 PKGBUILD |   59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

Copied: zeitgeist/repos/staging-x86_64/PKGBUILD (from rev 338577, zeitgeist/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2018-11-09 21:29:23 UTC (rev 338579)
@@ -0,0 +1,59 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: György Balló <ballogy at freestart.hu>
+
+pkgname=zeitgeist
+pkgver=1.0+1+g1bcc8585
+pkgrel=2
+pkgdesc="Service logging user activities and events"
+arch=(x86_64)
+url="https://launchpad.net/zeitgeist/"
+license=(GPL2 LGPL2.1)
+depends=(json-glib telepathy-glib gtk3 xapian-core sqlite)
+makedepends=(gobject-introspection vala raptor python2-rdflib git)
+provides=(zeitgeist-datahub)
+conflicts=(zeitgeist-datahub)
+replaces=(zeitgeist-datahub)
+_commit=1bcc8585275b4a8a9d47652cfe2ee4d64d155c1f  # master
+source=("git+https://anongit.freedesktop.org/git/zeitgeist/zeitgeist#commit=$_commit")
+sha256sums=('SKIP')
+validpgpkeys=('E4884AEEDE4CC02043C3D8045DECDBA89270E723') #Rico Tzschichholz <ricotz at ubuntu.com>
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^v//;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+prepare() {
+  cd $pkgname
+
+  sed -i 's/python -/$PYTHON -/' configure.ac
+  sed -i '1s/python$/python2/' data/ontology2code
+
+  autoreconf -fi
+}
+
+build() {
+  cd $pkgname
+  export PYTHON=/usr/bin/python2
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --libexecdir=/usr/lib --enable-fts
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Log test fails in chroot, as we have no X and no proper dbus
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list